- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglStored Class Reference

Stored Cut Generator Class. More...

`#include <CglStored.hpp>`

Inheritance diagram for CglStored:

[legend]
Collaboration diagram for CglStored:

[legend]
List of all members.

## Public Member Functions
Generate Cuts
virtual void | generateCuts (const OsiSolverInterface &si, OsiCuts &cs, const CglTreeInfo info=CglTreeInfo()) const
| Generate Mixed Integer Stored cuts for the model of the solver interface, si.
Change criterion on whether to include cut.
Violations of more than this will be added to current cut list (default 1.0e-5)
void | setRequiredViolation (double value)
| Set.
double | getRequiredViolation () const
| Get.
void | setProbingInfo (CglTreeProbingInfo *info)
| Takes over ownership of probing info.
Cut stuff
void | addCut (const OsiCuts &cs)
| Add cuts.
void | addCut (const OsiRowCut &cut)
| Add a row cut.
void | addCut (double lb, double ub, const CoinPackedVector &vector)
| Add a row cut from a packed vector.
void | addCut (double lb, double ub, int size, const int *colIndices, const double *elements)
| Add a row cut from elements.
int | sizeRowCuts () const
| Add cuts.
const OsiRowCut * | rowCutPointer (int index) const
| Add cuts.
Constructors and destructors
| CglStored ()
| Default constructor.
| CglStored (const CglStored &rhs)
| Copy constructor.
| CglStored (const char *fileName)
| Constructor from file.
virtual CglCutGenerator * | clone () const
| Clone.
CglStored & | operator= (const CglStored &rhs)
| Assignment operator.
virtual | ~CglStored ()
| Destructor.
## Protected Attributes
Protected member data
double | requiredViolation_
| Only add if more than this requiredViolation.
CglTreeProbingInfo * | probingInfo_
| Pointer to probing information.
OsiCuts | cuts_
| Cuts.

## Detailed Description

Stored Cut Generator Class.

Definition at line 13 of file CglStored.hpp.

## Constructor & Destructor Documentation

CglStored::CglStored | ( |  | ) |

Default constructor.

CglStored::CglStored | ( | const CglStored & | rhs | ) |

Copy constructor.

CglStored::CglStored | ( | const char * | fileName | ) |

Constructor from file.

virtual CglStored::~CglStored | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void CglStored::generateCuts | ( | const OsiSolverInterface & | si,
|  | OsiCuts & | cs,
|  | const CglTreeInfo | info = `CglTreeInfo()` |
| ) |  |  | const`[virtual]`

Generate Mixed Integer Stored cuts for the model of the solver interface, si.

Insert the generated cuts into OsiCut, cs.

This generator just looks at previously stored cuts and inserts any that are violated by enough

Implements CglCutGenerator.

void CglStored::setRequiredViolation | ( | double | value | ) | `[inline]`

Set.

Definition at line 37 of file CglStored.hpp.

References requiredViolation_.

double CglStored::getRequiredViolation | ( |  | ) | const`[inline]`

Get.

Definition at line 40 of file CglStored.hpp.

References requiredViolation_.

void CglStored::setProbingInfo | ( | CglTreeProbingInfo * | info | ) | `[inline]`

Takes over ownership of probing info.

Definition at line 43 of file CglStored.hpp.

References probingInfo_.

void CglStored::addCut | ( | const OsiCuts & | cs | ) |

Add cuts.

void CglStored::addCut | ( | const OsiRowCut & | cut | ) |

Add a row cut.

void CglStored::addCut | ( | double | lb,
|  | double | ub,
|  | const CoinPackedVector & | vector |
| ) |  |  |

Add a row cut from a packed vector.

void CglStored::addCut | ( | double | lb,
|  | double | ub,
|  | int | size,
|  | const int * | colIndices,
|  | const double * | elements |
| ) |  |  |

Add a row cut from elements.

int CglStored::sizeRowCuts | ( |  | ) | const`[inline]`

Add cuts.

Definition at line 57 of file CglStored.hpp.

References cuts_, and OsiCuts::sizeRowCuts().

const OsiRowCut* CglStored::rowCutPointer | ( | int | index | ) | const`[inline]`

Add cuts.

Definition at line 59 of file CglStored.hpp.

References cuts_, and OsiCuts::rowCutPtr().

virtual CglCutGenerator* CglStored::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CglCutGenerator.

CglStored& CglStored::operator= | ( | const CglStored & | rhs | ) |

Assignment operator.

## Member Data Documentation

double CglStored::requiredViolation_`[protected]`

Only add if more than this requiredViolation.

Definition at line 95 of file CglStored.hpp.

Referenced by getRequiredViolation(), and setRequiredViolation().

CglTreeProbingInfo* CglStored::probingInfo_`[protected]`

Pointer to probing information.

Definition at line 97 of file CglStored.hpp.

Referenced by setProbingInfo().

OsiCuts CglStored::cuts_`[mutable, protected]`

Cuts.

Definition at line 99 of file CglStored.hpp.

Referenced by rowCutPointer(), and sizeRowCuts().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Bcps-0.91.0/Cgl/src/CglStored.hpp